<?php

namespace Drupal\commerce_payin_payout\Constants;

/**
 * Provides constants related to Payin-Payout payment method.
 */
final class PayinPayoutConstants {

  /**
   * The success payment status.
   */
  public const PAYMENT_STATUS_SUCCESS = 1;

  /**
   * The failed payment status.
   */
  public const PAYMENT_STATUS_FAILED = 2;

  /**
   * The partially paid payment status.
   */
  public const PAYMENT_STATUS_PARTIALLY_PAID = 3;

  /**
   * The live API url to process payment.
   */
  const API_URL_LIVE = 'https://lk.payin-payout.net/api/shop';

  /**
   * The test API url to process payment.
   */
  const API_URL_TEST = 'https://dev1.payin-payout.net';

  /**
   * Default exception message when the mode cannot be handled.
   */
  const PAYMENT_GATEWAY_EXCEPTION_MODE_CANNOT_BE_HANDLED = 'Provided payment mode cannot be handled.';

  /**
   * Default exception message when the phone number field does not exist.
   */
  const PAYMENT_GATEWAY_EXCEPTION_PHONE_DOES_NOT_EXISTS = 'Provided phone number field does not exist for customer profile entity.';


}
